CVE-2003-0445
CVSS7.5
发布时间 :2003-07-24 00:00:00
修订时间 :2008-09-05 16:34:19
NMCOS    

[原文]Buffer overflow in webfs before 1.17.1 allows remote attackers to execute arbitrary code via an HTTP request with a long Request-URI.


[CNNVD]WebFS Request-URI远程缓冲区溢出漏洞(CNNVD-200307-027)

        
        ebfs是一款可适用静态内容的HTTP服务器。
        ebfs在处理超长URI请求时缺少正确边界缓冲区检查,远程攻击者可以利用这个漏洞进行缓冲区溢出攻击,可能以WEB权限在系统上执行任意指令。
        目前没有详细漏洞细节提供。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0445
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0445
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200307-027
(官方数据源) CNNVD

- 其它链接及资源

http://www.debian.org/security/2003/dsa-328
(VENDOR_ADVISORY)  DEBIAN  DSA-328

- 漏洞信息

WebFS Request-URI远程缓冲区溢出漏洞
高危 边界条件错误
2003-07-24 00:00:00 2006-09-22 00:00:00
远程  
        
        ebfs是一款可适用静态内容的HTTP服务器。
        ebfs在处理超长URI请求时缺少正确边界缓冲区检查,远程攻击者可以利用这个漏洞进行缓冲区溢出攻击,可能以WEB权限在系统上执行任意指令。
        目前没有详细漏洞细节提供。
        

- 公告与补丁

        厂商补丁:
        Debian
        ------
        
        http://www.debian.org/security/2003/dsa-328

- 漏洞信息

6683
webfs Remote Request-URI Overflow
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

A remote overflow exists in webfs. The webfs server fails to check the length of the Request-URI parameter resulting in a buffer overflow. With a specially crafted request, an attacker can cause the execution of arbitrary commands resulting in a loss of integrity.

- 时间线

2003-06-19 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.19 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

WebFS Request-URI Buffer Overflow Vulnerability
Boundary Condition Error 7990
Yes No
2003-06-20 12:00:00 2009-07-11 10:06:00
This vulnerability was reported in a Debian advisory.

- 受影响的程序版本

WebFS WebFS 1.18
WebFS WebFS 1.17
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0
WebFS WebFS 1.19

- 不受影响的程序版本

WebFS WebFS 1.19

- 漏洞讨论

A buffer overflow vulnerability has been reported for WebFS that may result in the execution of attacker-supplied code. The vulnerability is due to insufficient bounds checking on an overly long Request-URI HTTP request.

Code execution is possible.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

The following fixes are available:


WebFS WebFS 1.17

WebFS WebFS 1.18

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站